curl --request POST \
--url https://api.privy.io/v1/wallet_automations/reindex \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"asset_address": "<string>",
"wallet_id": "<string>",
"deposit_address": "<string>",
"caip2": "<string>",
"chain": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/wallet_automations/reindex")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"asset_address\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"deposit_address\": \"<string>\",\n \"caip2\": \"<string>\",\n \"chain\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset_address: '<string>',
wallet_id: '<string>',
deposit_address: '<string>',
caip2: '<string>',
chain: '<string>'
})
};
fetch('https://api.privy.io/v1/wallet_automations/reindex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallet_automations/reindex",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'asset_address' => '<string>',
'wallet_id' => '<string>',
'deposit_address' => '<string>',
'caip2' => '<string>',
'chain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallet_automations/reindex"
payload := strings.NewReader("{\n \"asset_address\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"deposit_address\": \"<string>\",\n \"caip2\": \"<string>\",\n \"chain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"wallet_id": "<string>",
"results": [
{
"caip2": "<string>",
"asset_address": "<string>",
"status": "<string>",
"raw_balance": "<string>",
"existing_execution_id": "<string>"
}
]
}Reindex wallet automations
Recheck a wallet balance and recover a missed or failed automation execution.
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Body
Request body for re-checking a wallet against its wallet automations. Identify the wallet by wallet_id or deposit_address (at least one is required). If both are provided, wallet_id takes precedence and deposit_address must match that wallet's address. Specify exactly one of caip2 or chain, and the asset_address to check. Useful for recovering a deposit that was missed or failed to trigger its automation.
Asset contract address to check; the native asset uses native.
1 - 128Privy wallet ID to reindex. Takes precedence over deposit_address when both are supplied.
1 - 128On-chain deposit address of the wallet to reindex. Must match the resolved wallet's address if wallet_id is also provided.
1 - 128The EVM, Solana, or Tron CAIP-2 chain identifier to check.
^eip155:\d+$Human-readable chain name to check. Specify exactly one of caip2 or chain.
1 - 64Was this page helpful?

